﻿body {
    background-color: #fff;
}

.Logo>img {
    width: 100%;
    /* padding: 25px 0 0 25px; */
}

.Navbar {
    width: 100%;
    height: 100px;
    background-color: #fff;
    /* border: 1px solid #000; */
    /* font-size: 25px; */
    padding: 15px 0 25px 0;
    font-weight: 600;
}
.bg_gray {
    background-color: #ccc;
}


.Searchcon1 {
    height: 100px;
    padding: 25px 25px 25px 25px;
}


.dpk {
    display: inline-block
}

.Ordercc {
    margin-right: 15px;
}

.NewRowForIndex {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;

    margin-left: -15px;
}

.navTime {
    padding: 0px 15px 10px 15px;
    border-bottom: 1px solid #ccc;
}

.Checkbox {
    width: 30px;
    height: 30px;
}

a:link,
a:visited,
a:hover,
a:active {
    text-decoration: none;
    color: #000;
}


/* --------------------------- */
/* 線上劃位功能 */
/* --------------------------- */

.seatroom_xxl {
    width: 1230px;
}

.seatroom_xl {
    width: 900px;
}

.seatroom_l {
    width: 720px;
}

.seatroom_m {
    width: 550px;
}

.seatroom_s2 {
    width: 367px;
}

.seatroom_s {
    width: 200px;
}

.seatroom {
    /*    border-bottom: 1px solid #eee;
    border-left: 1px solid #eee;
    border-right: 1px solid #eee;*/
    margin-top: 10px;
    border: 1px solid #ccc;
    padding: 5px;
    display: inline-block;
}

.seatgroup {
    width: 100%;
    display: flex;
    flex-flow: row wrap;
    padding: 3px;
}


.seatbtn {
    width: 82px;
    height: 110px;
    border: 1px solid gray;
    border-radius: 10px;
    padding: 3px 10px;
    margin-top: 5px;
    position: relative;
    display: inline-block;
}

.badgebtn {
    position: absolute;
    top: -5px;
    right: -5px;
    font-size: 14px; 
}

.seatsection_kd {
    background-color: red;
    color:white;
}
.seatsection_ks {
    background-color: green;
    color: white;
}
.seatsection_dk {
    background-color: aqua;
}
.seatsection_sk {
    background-color: chocolate;
    color: white;
}

.seatsection_sd {
    background-color: blue;
    color: white;
}

.seatsection_ds {
    background-color: yellow;
}


.seatorder {
    background-color: lightgrey;
}

.seatselect {
    background-color: mistyrose;
}

.seat_double {
    margin-right: 0px;
    border-radius: 10px 0 0 10px;
}

.seat_doubles {
    margin-left: 0px;
    border-left: 0px;
    border-radius: 0 10px 10px 0;
}


.seat_single {
    margin-right: 5px;
}

.seat_gap {
    margin-left: 10px;
}

.seat_gap2 {
    margin-left: 50px;
}

.seat_break {
    width: 100%;
}

.seat_wall {
    border-top: 5px solid grey;
    width: 100%;
    margin-top: 10px;
    padding-top: 3px;
}

.seat_wall1 {
    border-top: 5px solid grey;
    width: 65%;
    margin-top: 10px;
    padding-top: 3px;
}

.seat_path {
    width: 100%;
    margin: 10px 0;
    text-align: center;
    color: grey;
}

.seat_hidden {
    visibility: hidden;
}


/* --------------------------- */
/* 線上訂票功能 */
/* --------------------------- */

.OnewayTitle {
    font-weight: 600;
}

.Goticket {
    border: 3px solid #00b5ca;
    border-radius: 10px;
}

/* 搜尋按鈕的外框 調位置用 */
.SearchBtn {
    text-align: center;
}

/* 調整蒐尋按鈕 */
.Searchbtn {
    text-align: center;
    background-color: #00b5ca;
    color: #fff;
    font-weight: 900;
    width: 90px;
    border-radius: 10px;
}

.Searchbtn2 {
    text-align: center;
    background-color: #00b5ca;
    color: #fff;
    font-weight: 900;
    width: 150px;
    height: 80px;
    border-radius: 10px;
    /* font-size: 25px; */
    line-height: 75px;
}

/* --------------------------- */
/* 聲明頁 */
/* --------------------------- */

.Tnc {
    height: 400px;
    background: #ffffff;
    border: 3px solid #3e3d3dc4;
    border-radius: 10px;
    /* font-size: 25px; */
    text-align: center;
    font-weight: 600;
}

/* --------------------------- */
/* TicketOrder頁 */
/* --------------------------- */

.Check {
    font-weight: 900;
    /* font-size: 36px; */
    margin-top: 80px;
}

.NextBtn {
    text-align: center;
    background-color: #00b5ca;
    color: #fff;
    font-weight: 900;
    /* width: 90px;
    width: 200px;
    height: 60px; */
    /* font-size: 38px; */
}

table {
    border: 3px solid #dee2e6;
    /* width: 1400px;*/
    height: 100px;
    padding: 25px 25px 25px 25px;
}

.TableText {
    /* font-size: 35px; */
    border-bottom: 3px dashed #3e3d3d17;
    height: 70px;
}

.TableTitle {
    /* font-size: 30px; */
    border-bottom: 3px solid #3e3d3dc4;
}

/* --------------------------- */
/* 訂單查詢功能 */
/* --------------------------- */

/* --------------------------- */
/* 訂單查詢登入頁 */
/* --------------------------- */
.Order {
    height: 200px;
    background: #ebf5fc;
    border: 3px solid #3e3d3dc4;
    border-radius: 10px;
    table
    /* font-size: 25px; */
    text-align: center;
    font-weight: 600;
}

.dropdownInput {
    border: solid 3px #3e3d3dc4;
    border-radius: 10px;
}

.OrderTable {
    height: 70px;
    border-bottom: 3px solid #3e3d3dc4;
}

.Order2 {
    height: 300px;
    background: #ebf5fc;
    border: 3px solid #3e3d3dc4;
    border-radius: 10px;
    /* font-size: 25px; */
    text-align: center;
    font-weight: 600;
}

.OrderNotice {
    height: 400px;
    background: #ebf5fc;
    border: 3px solid #3e3d3dc4;
    border-radius: 10px;
    /* font-size: 20px; */
    font-weight: 400;
    line-height: 40px;
}

.IDInput {
    width: 400px;
    height: 50px;
    border: 3px solid #00b5ca;
    border-radius: 10px;
    text-align: center;
}

.InquireBtn {
    text-align: center;
    background-color: #00b5ca;
    color: #fff;
    font-weight: 900;
    width: 90px;
    width: 200px;
    height: 60px;
    /* font-size: 35px; */
    border-radius: 10px;
    margin-top: 60px;
}

/* --------------------------- */
/* 訂單查詢頁 */
/* --------------------------- */
.ColorTbody>tr:nth-child(even) {
    background: rgb(238, 238, 238);
}

.ColorTbody>tr:nth-child(odd) {
    background: #fff;
}

.DetailTD {
    background-color: #90e6f0;
    height: 30px;
    border-bottom: 2px solid #3e3d3d4b;
}

.DetailTH {
    border-bottom: 2px solid #3e3d3d4b;
    height: 50px;
}

.DetailTitle {
    margin-left: 260px;
    font-weight: 600;
}

.detailBtn {
    width: 120px;
    height: 50px;
    background-color: #3e3d3d;
    color: #fff;
    font-weight: 900;
}

/* --------------------------- */
/* 最新消息頁 */
/* --------------------------- */

.news {
    border-bottom: 2px solid #3e3d3d4b;
    margin-top: 10px;
}

.News {
    height: 500px;
}

.GrayTitle {
    background-color: rgb(235, 235, 235);
    font-weight: 900;
    width: 100px;
    height: 40px;
    text-align: center;
    /* font-size: 20px; */
    line-height: 40px;
    border-radius: 10px;
}

.NewsText {
    font-weight: 600;
    /* font-size: 20px; */
    line-height: 40px;
    letter-spacing: 1px;
}

.NewsDate {
    line-height: 40px;
    font-weight: 500;
}

/* --------------------------- */
/* 乘船須知 */
/* --------------------------- */
.BoatOne {
    /* font-size: 20px; */
}

.BoatName {
    font-weight: 900;
}

.BoatNotice {
    height: 600px;
}

/* 
.Fr{
   margin-left: 70%;
} */

.box {
    width: 300px;
    height: 700px;
    background-color: #ccc;
}

.footerMobile {
    position: fixed;
    left: 0;
    bottom: 0;
    width: 100%;
    color: white;
    text-align: center;
    height: 50px;
}

.MemberTitle {
    line-height: 300px;
    text-align: right;
    margin-right: 30px;
}

.NewPage {
    float: right;
}

/*--
    AUTOCOPMPLETE CSS  Start
*/
.autocomplete {
    position: relative;
}

.autocomplete label {
    display: block;
    margin-bottom: 5px;
    font-size: 14px;
    font-weight: 100;
}

.autocomplete-input {
    padding: 7px 10px;
    border: 1px solid #ddd;
    border-radius: 4px;
    outline: none;
}

.autocomplete-input:focus {
    border-color: #000;
}

.autocomplete-list {
    position: absolute;
    z-index: 2;
    overflow: auto;
    min-width: 250px;
    max-height: 150px;
    margin: 0;
    margin-top: 5px;
    padding: 0;
    border: 1px solid #eee;
    list-style: none;
    border-radius: 4px;
    background-color: #fff;
    box-shadow: 0 5px 25px rgba(0, 0, 0, 0.05);
}

.autocomplete-list li {
    margin: 0;
    padding: 8px 15px;
    border-bottom: 1px solid #f5f5f5;
}

.autocomplete-list li:last-child {
    border-bottom: 0;
}

.autocomplete-list li:hover,
.autocomplete-list li.active {
    background-color: #f5f5f5;
}

/*--
    AUTOCOPMPLETE CSS  End
*/
/**
 * jQuery Editable Select
 * Indri Muska <indrimuska@gmail.com>
 *
 * Source on GitHub @ https://github.com/indrimuska/jquery-editable-select
 */

input.es-input {
    padding-right: 20px !important;
    background: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAA4AAAAICAYAAADJEc7MAAAACXBIWXMAAAsTAAALEwEAmpwYAAAAIGNIUk0AAG2YAABzjgAA4DIAAIM2AAB5CAAAxgwAADT6AAAgbL5TJ5gAAABGSURBVHjaYvz//z8DOYCJgUzA0tnZidPK8vJyRpw24pLEpwnuVHRFhDQxMDAwMPz//x+OOzo6/iPz8WFGuocqAAAA//8DAD/sORHYg7kaAAAAAElFTkSuQmCC) right center no-repeat;
}

    input.es-input.open {
        -webkit-border-bottom-left-radius: 0;
        -moz-border-radius-bottomleft: 0;
        border-bottom-left-radius: 0;
        -webkit-border-bottom-right-radius: 0;
        -moz-border-radius-bottomright: 0;
        border-bottom-right-radius: 0;
    }

.es-list {
    position: absolute;
    padding: 0;
    margin: 0;
    border: 1px solid #d1d1d1;
    display: none;
    z-index: 1000;
    background: #fff;
    max-height: 160px;
    overflow-y: auto;
    -moz-box-shadow: 0 2px 3px #ccc;
    -webkit-box-shadow: 0 2px 3px #ccc;
    box-shadow: 0 2px 3px #ccc;
}

    .es-list li {
        display: block;
        padding: 5px 10px;
        margin: 0;
    }

        .es-list li.selected {
            background: #f3f3f3;
        }

        .es-list li[disabled] {
            opacity: .5;
        }